import globals from "globals";
import pluginJs from "@eslint/js";

export default [
    { files: ["**/*.js"], languageOptions: { sourceType: "commonjs" } },
    { languageOptions: { globals: { ...globals.browser, ...globals.node } } },
    pluginJs.configs.recommended,
    {
        rules: {
            "prefer-const": "off",
            "no-unused-vars": "warn",
            "no-multi-spaces": "warn",
            "no-case-declarations": "off",
            "no-multiple-empty-lines": ["warn", { max: 1 }],
            quotes: ["warn", "double", { allowTemplateLiterals: true }],
        },
    },
];
